Bug 11467 - FR: New version
: FR: New version
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/freeciv)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-12 14:05 by
Modified: 2007-04-23 15:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-12 14:05:53
Freeciv 2.0.9 is available:
    * Fix memory leaks in AI code (PR#34145, PR#18758).
    * Client worklist fix (PR#18773).
    * Several compilation fixes.
    * Fix for status of bribed units (PR#9568).
    * Fix client crashes (PR#21843, PR#19822).
    * Fix server crashes (PR#10459, PR#1725, PR#17775).
    * Extra checks against starting position on poles (PR#17617).
    * Fix security problem in attributes code.
    * Helicopters no longer lose hitpoints when on a carrier (PR#14769).
    * Fix bug causing some pregame messages to be lost (PR#15852).
    * New localizations: Arabic (ar) and Persian (fa).

Freeciv 2.1.0-beta4 is available.
  [Поля этого листа слишком малы, чтобы привести полный список изменений.]
  http://freeciv.wikia.com/wiki/NEWS-2.1.0-beta4 и
  http://freeciv.wikia.com/wiki/NEWS-2.1.0
------- Comment #1 From 2007-04-12 15:28:30 -------
Егор, может быть вы соберёте новую версию?
------- Comment #2 From 2007-04-12 15:50:39 -------
С удовольствием, тем более, что 2.1.0 [post-beta3 svn] уже пытался (правда,
неудачно) отправить в Daedalus. Вопрос в том, какую ветку держать в качестве
основной? Я всё-таки надеюсь, что релиз 2.1.0 выйдет не позднее начала лета
(хотя сейчас это весьма сомнительно...), уж больно много в ней красивостей
добавилось. К тому же, хотелось бы к релизу устранить как можно больше багов,
специфических для ru_RU и alt :)

PS. Про основную ветку - это к тому, что я вполне готов держать где-либо сборки
пакетов других веток.
------- Comment #3 From 2007-04-15 03:30:38 -------
Собирайте то, что считаете нужным.
Я доверяю вашему выбору.
------- Comment #4 From 2007-04-23 14:07:43 -------
freeciv - The Freeciv multi-player strategy game                        [17M]
* Sun Apr 22 2007 Egor Vyscrebentsov <evyscr@altlinux> 2.1.0-alt0.b4
- NMU:
 + Updated to 2.1.0-beta4
   + New default tileset: "amplio"
   + New default port: 5556
 + Removed revolt patch (changed patch was merged)
 + Removed reveal patch
 + Used %make_install instead of %makeinstall
* Mon Mar 06 2006 Dmitry V. Levin <ldv@altlinux> 2.0.8-alt1

Насколько понимаю, бага исправлена.
------- Comment #5 From 2007-04-23 15:20:08 -------
(In reply to comment #4)
> Насколько понимаю, бага исправлена.

Да, если по каким-то причинам не придётся откатывать на 2.0.9.
Пусть будет closed.